import { Skeleton } from '@/components/ui/skeleton'

export default function Loading() {
  return (
    <div className="container max-w-4xl mx-auto py-8 px-4 space-y-6">
      <Skeleton className="h-10 w-32" />
      <Skeleton className="h-12 w-full" />
      <Skeleton className="h-8 w-3/4" />
      <div className="flex items-center gap-4">
        <Skeleton className="h-10 w-10 rounded-full" />
        <div className="space-y-2">
          <Skeleton className="h-4 w-32" />
          <Skeleton className="h-4 w-24" />
        </div>
      </div>
      <Skeleton className="h-64 w-full rounded-lg" />
      <div className="space-y-4">
        <Skeleton className="h-6 w-full" />
        <Skeleton className="h-6 w-full" />
        <Skeleton className="h-6 w-5/6" />
        <Skeleton className="h-6 w-3/4" />
      </div>
    </div>
  )
}
