'use client'

import { Button } from '@/components/ui/button'
import { useEffect } from 'react'

export default function Error({
  error,
  reset,
}: {
  error: Error & { digest?: string }
  reset: () => void
}) {
  useEffect(() => {
    console.error(error)
  }, [error])

  return (
    <div className="container max-w-4xl mx-auto py-16 px-4 flex flex-col items-center justify-center">
      <div className="bg-red-50 dark:bg-red-900/20 text-red-800 dark:text-red-300 p-6 rounded-lg text-center max-w-md">
        <h2 className="text-xl font-bold mb-4">Something went wrong!</h2>
        <p className="mb-6">We couldn't load the article you requested. Please try again.</p>
        <Button onClick={reset} variant="outline">
          Try again
        </Button>
      </div>
    </div>
  )
}
